Summary: OCI runtime written in C
Name: crun
Version: 1.4.4
Release: %mkrel 1
Source0: https://github.com/containers/crun/releases/download/%{version}/%{name}-%{version}.tar.gz
License: GPLv2+
Group: System/Configuration
URL: https://github.com/containers/crun

# We always run autogen.sh
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: gcc
BuildRequires: python3
BuildRequires: git
BuildRequires: pkgconfig(libcap)
BuildRequires: pkgconfig(systemd)
BuildRequires: pkgconfig(yajl)
BuildRequires: pkgconfig(libseccomp)
BuildRequires: python3-libmount
BuildRequires: libtool
BuildRequires: go-md2man
BuildRequires: glibc-static-devel
Provides: oci-runtime = %{version}

%description
crun is a runtime for running OCI containers.

%prep
%autosetup -n %{name}-%{version}

%build
./autogen.sh
%configure --disable-silent-rules

%make_build

%install
%make_install
rm -rf %{buildroot}/usr/lib*

%files
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/*


%changelog
* Wed Apr 13 2022 pol4n <pol4n> 1.4.4-1.mga8
+ Revision: 1849214
- Update to 1.4.4 (mga#30267)

* Tue Feb 02 2021 daviddavid <daviddavid> 0.16-2.mga8
+ Revision: 1674423
- build dependency on python2 is not needed, let's change it for python3

* Fri Dec 18 2020 joequant <joequant> 0.16-1.mga8
+ Revision: 1660557
- update to 0.16

* Wed Nov 04 2020 joequant <joequant> 0.15.1-1.mga8
+ Revision: 1642690
- update to 0.15.1 and use local configure

* Wed Sep 23 2020 joequant <joequant> 0.15-1.mga8
+ Revision: 1629628
- update to 0.15

* Fri Aug 07 2020 joequant <joequant> 0.14.1-1.mga8
+ Revision: 1611678
- update to 0.14.1

* Sun Apr 05 2020 joequant <joequant> 0.13-1.mga8
+ Revision: 1564666
- fix group
- imported package crun

